source:
  type: "api"

  # The API endpoint to fetch token against Keycloak
  # endpoint_token: "{KEYCLOAK_URL}/auth/realms/{REALM}/protocol/openid-connect/token"
  # The API endpoint to fetch token against Keycloak
  # endpoint_token: "{KEYCLOAK_URL}/auth/admin/realms/{REALM}/roles/{role}/users"

  KEYCLOAK_URL: "https://studio-01.expertflow.com"
  REALM: "expertflow"
  ADMIN_USERNAME: "admin"
  ADMIN_PASSWORD: "admin"
  CLIENT_ID: "cim"
  CLIENT_SECRET: "ef61df80-061c-4c29-b9ac-387e6bf67052"

  queries:
    users:
      database:
      collection_name:
      filter: ["agent","evaluator","quality-manager","supervisor"]
      replication_key: "createdTimestamp"
      transformation: "transform_users_data"
      num_batches: 50
      query_keys:

batch_size: 50000 # Max results fetched in API call

target:
  type: "mysql"
  db_url: "mysql+pymysql://monty:Expertflow#143@192.168.2.18:3306/hold_db"
  # db_url: "mssql+pyodbc://sa:Expertflow464@192.168.1.77:1433/testing_ali?driver=ODBC+Driver+17+for+SQL+Server"
  enable_ssl: false  # Enable or disable SSL connections
  ssl_ca: "/transflux/certificates/mysql_certs/ca.pem"
  ssl_cert: "/transflux/certificates/mysql_certs/client-cert.pem"
  ssl_key: "/transflux/certificates/mysql_certs/client-key.pem"

configdb:
  type: "mysql"
  db_url: "mysql+pymysql://monty:Expertflow#143@192.168.2.18:3306/hold_db"
  # db_url: "mssql+pyodbc://sa:Expertflow464@192.168.1.77:1433/testing_ali?driver=ODBC+Driver+17+for+SQL+Server"
  enable_ssl: false
  ssl_ca: "/transflux/certificates/mysql_certs/ca.pem"
  ssl_cert: "/transflux/certificates/mysql_certs/client-cert.pem"
  ssl_key: "/transflux/certificates/mysql_certs/client-key.pem"

transformation:
schedule_interval: "*/15 * * * *"